1. Order
Aurpay API
  • Aurpay Crypto Payment Integration
  • API-Key Authentication Method
    • Order
      • Get Payment URL
        POST
      • Get Payment Info
        POST
      • Get Orders
        GET
      • Get Orders Details
        GET
      • Get Orders Refund Info
        GET
      • Orders Refund
        POST
      • Get Transaction
        GET
      • Get Support Crypto Currency List
        GET
      • Get Support Real Currency List
        GET
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
    • Get API-Key
      POST
  • Signature Authentication Method
    • Order
      • Get Payment URL
      • Get Payment Info
      • Get Support Real Currency List
      • Get Support Crypto Currency List
      • Get Orders
      • Get Orders Details
      • Get Transaction
      • Get Orders Refund Info
      • Orders Refund
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
  • Callbakc Description
    • Callback Authentication Method
  1. Order

Get Transaction

GET
/api/v2/tx

API Request Description#

This endpoint makes an HTTP GET request to retrieve a paginated list of transactions.

Response#

The response for this request is a JSON object with the following structure:
{
  "code": integer,
  "message": string,
  "data": {
    "page": integer,
    "size": integer,
    "total": integer,
    "max_page": integer,
    "data": [
      {
        "user_id": string,
        "tx_id": string,
        "tx_type": string,
        "status": string,
        "chain": string,
        "currency": string,
        "amount": string,
        "obtained": string,
        "fee": string,
        "from_addr": string,
        "to_addr": string,
        "tx_hash": string,
        "event_time": string
      }
    ]
  },
  "result": boolean
}

Request

Authorization
API Key
Add parameter in header
API-Key
Example:
API-Key: ********************
or
Query Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://dashboard.aurpay.net/api/v2/tx?page=1&size=10' \
--header 'API-Key: <api-key>'
Response Response Example
{
    "code": 0,
    "message": "ok",
    "data": {
        "page": 1,
        "size": 10,
        "total": 4,
        "max_page": 1,
        "data": [
            {
                "user_id": "mct-1801a2556486",
                "tx_id": "b6f23711-e86c-4dbe-a428-83a84d5296d0",
                "tx_type": "WITHDRAW",
                "status": "SUCCESS",
                "chain": "ETH",
                "currency": "USDC-ERC20",
                "amount": "1.8005",
                "obtained": "0.6808",
                "fee": "0",
                "from_addr": "0xfab26967128010A17F12bb4FEce9919d7D061215",
                "to_addr": "0xd2Ba0F302Db1cae5B2d1A2DB2405532b46B11dae",
                "tx_hash": "0xa629bbd3b8808b17fe4c0f59ee004f1094dc1f71b71c777c3d48981dc10c0e3e",
                "event_time": "2024-10-10T02:22:06"
            },
            {
                "user_id": "mct-1801a2556486",
                "tx_id": "ac292490-e5cc-4217-979c-039c2b90bd83",
                "tx_type": "SWAP",
                "status": "SUCCESS",
                "chain": "ETH",
                "currency": "USDT-ERC20",
                "amount": "23.4668",
                "obtained": "23.4668",
                "fee": "0",
                "from_addr": "0",
                "to_addr": "0x0ba476533C07845B10fB8Dd63A78978a926ef2EC",
                "tx_hash": null,
                "event_time": "2024-10-23T12:06:15"
            },
            {
                "user_id": "mct-1801a2556486",
                "tx_id": "4b4a66ad-9661-402f-a978-ff81d432c70e",
                "tx_type": "SWAP",
                "status": "SUCCESS",
                "chain": "BLN",
                "currency": "BTC-LN",
                "amount": "0.00039859",
                "obtained": "0.0003534",
                "fee": "0.00004519",
                "from_addr": "0",
                "to_addr": "0x0ba476533C07845B10fB8Dd63A78978a926ef2EC",
                "tx_hash": null,
                "event_time": "2024-10-23T12:06:19"
            },
            {
                "user_id": "mct-1801a2556486",
                "tx_id": "158809fb-82aa-4acb-9fef-7225e2d72e40",
                "tx_type": "WITHDRAW",
                "status": "SUCCESS",
                "chain": "ETH",
                "currency": "USDT-ERC20",
                "amount": "9.4668",
                "obtained": "4.1724",
                "fee": "0",
                "from_addr": "0xBB9043C5dEC27573DeEf97D750bCC52195F19009",
                "to_addr": "0x9AD681c8f730479b143570E67c0357B3eD873806",
                "tx_hash": "0x67bf6431c602b6c3c8c23705073aa3529788d4b4fcafb0602573eb5eed1eb5f8",
                "event_time": "2024-10-27T11:46:57"
            }
        ]
    },
    "result": true
}
Previous
Orders Refund
Next
Get Support Crypto Currency List
Built with